import sys
import java


# ----------------------------------------------------------
# jython script that installs the EAR 
# ----------------------------------------------------------
def processArguments(args):
    global application, application_ear
    cmd = None
    i = 0;
    while args:
        if (args[0] == "-application_ear"):
            application_ear = args[1]
            args=args[1:]
        elif (args[0] == "-application"):
            application = args[1]
            args=args[1:]
        else:
            break
        args=args[1:]

def help():
    print 'usage: [options] args'
    print '\noptions:'
    print '  -application_ear <application_ear>'
    print '  -application <application>'

# main
def main(argv=None):
    global application_ear, application

    if argv is None:
        argv = sys.argv

    processArguments(argv)
    virtualHost='ITDWBHost'
    try:
      #update the EAR
      print 'updating ' + application
      appOptions = ['-operation update -MapWebModToVH', [['TWSNotifyServiceWS', 'TWSNotifyServiceWS.war,WEB-INF/web.xml', virtualHost]], '-contents \"'+application_ear+'\" -nodeployejb']
      AdminApp.update(application,'app',appOptions)

    except:
        print 'rolling back changes to WebSphere'
        AdminConfig.reset()
        sys.exit(1)
    else:
        AdminConfig.save()

if __name__ == "main":
  sys.exit(main())
